// Game.h: interface for the CGame class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GAME_H__E3A13100_D9DD_11D6_83E1_B10FD10D1A25__INCLUDED_)
#define AFX_GAME_H__E3A13100_D9DD_11D6_83E1_B10FD10D1A25__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "main.h"
#include "OGLfunc.h"
#include "BaseObject.h"
#include "Vesmir.h"
//#include "2Dpismo.h"

class CGame  
{
	SDL_Surface	*m_screen;
	COGLfunc	ogl;
	int			game_over;
	BOOL		help;	//zobrazi napovedu
	Uint8		*keys;
	CBaseObject *objekty[pocetobj];
	CVesmir		*ves;
	int			aktivni_planeta;

	BOOL		light, blend, fog;
	//pozice rotace a rychlost hrace
	Tsouradnice pos, rot;
	double		rychlost;

	void UpdateGameLogic();
	void UpdateDisplay();
public:
	CGame();
	~CGame();
	int InitGame();		// SDL a OGL; CreateGLWindow; 0 when failed 
	int PlayGame();		//

};

#endif // !defined(AFX_GAME_H__E3A13100_D9DD_11D6_83E1_B10FD10D1A25__INCLUDED_)
