// OGLfunc.h: interface for the COGLfunc class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OGLFUNC_H__97753C60_DA2B_11D6_83E1_9D5D125FF224__INCLUDED_)
#define AFX_OGLFUNC_H__97753C60_DA2B_11D6_83E1_9D5D125FF224__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "main.h"

class COGLfunc  
{
	GLvoid	BuildFont();	// Build Our Bitmap Font
	GLuint	baseFont;		// Base Display List For The Font Set

public:
	COGLfunc();
	~COGLfunc();
	GLvoid ReSizeGLScene(GLsizei width, GLsizei height);
	int InitGL();	// All Setup For OpenGL Goes Here, 0 when failed

	void blending(int blend);
	void lighting(int light);
	void fogging(int fog);

	int LoadGLTextures(GLuint texture, char *Filename, int kvalita=2);	// Load Bitmaps And Convert To Textures, 0 when failed; kvalita=0..2(nejlepsi)
	AUX_RGBImageRec *LoadBMP(char *Filename);

	GLvoid glPrint3d(float x, float y, float z, float r, float g, float b, const char *fmt, ...);
	GLvoid glPrint2d(float x, float y, float r, float g, float b, const char *fmt, ...);
};

#endif // !defined(AFX_OGLFUNC_H__97753C60_DA2B_11D6_83E1_9D5D125FF224__INCLUDED_)
